Index: /trunk/gsdl/macros/base.dm
===================================================================
--- /trunk/gsdl/macros/base.dm	(revision 963)
+++ /trunk/gsdl/macros/base.dm	(revision 964)
@@ -380,4 +380,16 @@
 _heightibtext_ {21}
 
+_httpiconimpegvideo_ {_httpimg_/impegvideo.gif}
+_widthimpegvideo_ {29}
+_heightimpegvideo_ {32}
+
+_httpiconiqtvideo_ {_httpimg_/iqtvideo.gif}
+_widthiqtvideo_ {29}
+_heightiqtvideo_ {32}
+
+_httpiconirmvideo_ {_httpimg_/irmvideo.gif}
+_widthirmvideo_ {29}
+_heightirmvideo_ {32}
+
 _httpiconless_ {_httpimg_/less.gif}
 _widthless_ {30}
Index: /trunk/gsdl/macros/english.dm
===================================================================
--- /trunk/gsdl/macros/english.dm	(revision 963)
+++ /trunk/gsdl/macros/english.dm	(revision 964)
@@ -4,4 +4,37 @@
 #
 ######################################################################
+#
+# This is the main macro file for translation when creating an 
+# interface in another language.
+#
+# Under the 'text macros' comments are text macros of the form:
+# _macroname_ {macro value}
+# Everything between the {} is the text to be translated. This text 
+# may itself contain macros (i.e. characters other than space between
+# underscore characters, e.g. _about:numdocs_ or _textpage_). These
+# macro names occurring within text shouldn't be translated but should
+# be left as they are. Underscores or curly brackets occurring 
+# naturally within the text should be escaped with a leading backslash
+# (i.e. '\_', '\{' or '\}).
+#
+# Under the 'icons' comments are macros concerned with displaying
+# icons which themselves contain text.
+# Above each macro (or group of macros) for an icon is a comment line
+# that looks something like '## "HOME" ## top_nav_button ## chome ##'.
+# The first field of the comment ("HOME" in this case) is the text
+# that appears in the english version of the icon. This is the text
+# that must be translated, nothing needs to be done to the macros 
+# themselves. The other two fields of the comments are used by 
+# automatic icon generating software which reads the newly translated
+# file and generates appropriate icons.
+#
+# Comment lines (other than those described above) need not be 
+# translated (i.e. any lines beginning with '#', like this line).
+#
+# The simplest way to translate this file is to save it as something
+# else (e.g. french.dm) and work through translating all the text
+# macro values and icon comments.
+#
+######################################################################
 
 
@@ -10,4 +43,5 @@
 package Global
 ######################################################################
+
 
 #------------------------------------------------------------
@@ -89,5 +123,5 @@
 #------------------------------------------------------------
 
-## HOME ##
+## "HOME" ## top_nav_button ## chome ##
 _httpiconchomeof_ {_httpimg_/chomeof.gif}
 _httpiconchomeon_ {_httpimg_/chomeon.gif}
@@ -95,5 +129,5 @@
 _heightchomex_ {20}
 
-## HELP ##
+## "HELP" ## top_nav_button ## chelp ##
 _httpiconchelpof_ {_httpimg_/chelpof.gif}
 _httpiconchelpon_ {_httpimg_/chelpon.gif}
@@ -101,5 +135,5 @@
 _heightchelpx_ {20}
 
-## PREFERENCES ##
+## "PREFERENCES" ## top_nav_button ## cpref ##
 _httpiconcprefof_ {_httpimg_/cprefof.gif}
 _httpiconcprefon_ {_httpimg_/cprefon.gif}
@@ -107,10 +141,10 @@
 _heightcprefx_ {20}
 
-## help ##
+## "help" ## green_title ## h_help ##
 _httpiconhhelp_ {_httpimg_/h\_help.gif}
 _widthhhelp_ {200}
 _heighthhelp_ {57}
 
-## authors a-z ##
+## "authors a-z" ## nav_bar_button ## tauth ##
 _httpicontauthgr_ {_httpimg_/tauthgr.gif}
 _httpicontauthof_ {_httpimg_/tauthof.gif}
@@ -119,5 +153,5 @@
 _heighttauthx_ {17}
 
-## series ##
+## "series" ## nav_bar_button ## tser ##
 _httpicontsergr_ {_httpimg_/tsergr.gif}
 _httpicontserof_ {_httpimg_/tserof.gif}
@@ -126,5 +160,5 @@
 _heighttserx_ {17}
 
-## dates ##
+## "dates" ## nav_bar_button ## tdate ##
 _httpicontdategr_ {_httpimg_/tdategr.gif}
 _httpicontdateof_ {_httpimg_/tdateof.gif}
@@ -133,5 +167,5 @@
 _heighttdatex_ {17}
 
-## subjects ##
+## "subjects" ## nav_bar_button ## tsubj ##
 _httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
 _httpicontsubjon_ {_httpimg_/tsubjon.gif}
@@ -140,5 +174,5 @@
 _heighttsubjx_ {17}
 
-## organization ##
+## "organization" ## nav_bar_button ## torg ##
 _httpicontorggr_{_httpimg_/torggr.gif}
 _httpicontorgon_{_httpimg_/torgon.gif}
@@ -147,5 +181,5 @@
 _heighttorgx_ {17}
 
-## how to ##
+## "how to" ## nav_bar_button ## thow ##
 _httpiconthowgr_{_httpimg_/thowgr.gif}
 _httpiconthowon_{_httpimg_/thowon.gif}
@@ -154,5 +188,5 @@
 _heightthowx_ {17}
 
-## topic ##
+## "topic" ## nav_bar_button ## ttopic ##
 _httpiconttopicgr_{_httpimg_/ttopicgr.gif}
 _httpiconttopicon_{_httpimg_/ttopicon.gif}
@@ -161,5 +195,5 @@
 _heightttopicx_ {17}
 
-## browse ##
+## "browse" ## nav_bar_button ## tbrwse ##
 _httpicontbrwsegr_{_httpimg_/tbrwsegr.gif}
 _httpicontbrwseon_{_httpimg_/tbrwseon.gif}
@@ -168,5 +202,5 @@
 _heighttbrwsex_ {17}
 
-## search ##
+## "search" ## nav_bar_button ## tsrch ##
 _httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
 _httpicontsrchof_ {_httpimg_/tsrchof.gif}
@@ -175,5 +209,5 @@
 _heighttsrchx_ {17}
 
-## titles a-z ##
+## "titles a-z" ## nav_bar_button ## ttitl ##
 _httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
 _httpiconttitlof_ {_httpimg_/ttitlof.gif}
@@ -182,5 +216,5 @@
 _heightttitlx_ {17}
 
-## people ##
+## "people" ## nav_bar_button ## tpeop ##
 _httpicontpeopgr_ {_httpimg/tpeopgr.gif}
 _httpicontpeopof_ {_httpimg/tpeopof.gif}
@@ -196,4 +230,5 @@
 ######################################################################
 
+
 #------------------------------------------------------------
 # text macros
@@ -209,9 +244,10 @@
 currently using on the Preferences page.}
 
+
 #------------------------------------------------------------
 # icons
 #------------------------------------------------------------
 
-## about ##
+## "about" ## green_title ## h_about ##
 _httpiconhabout_ {_httpimg_/h\_about.gif}
 _widthhabout_ {200}
@@ -224,4 +260,5 @@
 package document
 ######################################################################
+
 
 #------------------------------------------------------------
@@ -285,54 +322,54 @@
 #------------------------------------------------------------
 
-## titles a-z ##
+## "titles a-z" ## green_title ## h_title ##
 _httpiconhtitle_ {_httpimg_/h\_title.gif}
 _widthhtitle_ {200}
 _heighthtitle_ {57}
 
-## authors a-z ##
+## "authors a-z" ## green_title ## h_auth ##
 _httpiconhauth_ {_httpimg_/h\_auth.gif}
 _widthhauth_ {200}
 
-## subjects ##
+## "subjects" ## green_title ## h_subj ##
 _httpiconhsubj_ {_httpimg_/h\_subj.gif}
 _widthhsubj_ {200}
 _heighthsubj_ {57}
 
-## series ##
+## "series" ## green_title ## h_ser ##
 _httpiconhser_ {_httpimg_/h\_ser.gif}
 _widthhser_ {200}
 _heighthser_ {57}
 
-## dates ##
+## "dates" ## green_title ## h_date ##
 _httpiconhdate_ {_httpimg_/h\_date.gif}
 _widthhdate_ {200}
 _heighthdate_ {57}
 
-## how to ##
+## "how to" ## green_title ## h_how ##
 _httpiconhhow_ {_httpimg_/h\_how.gif}
 _widthhhow_ {200}
 _heighthhow_ {57}
 
-## topics ##
+## "topics" ## green_title ## h_topic ##
 _httpiconhtopic_ {_httpimg_/h\_topic.gif}
 _widthhtopic_ {200}
 _heighthtopic_ {57}
 
-## organization ##
+## "organization" ## green_title ## h_org ##
 _httpiconhorg_ {_httpimg_/h\_org.gif}
 _widthhorg_ {250}
 _heighthorg_ {57}
 
-## browse ##
+## "browse" ## green_title ## h_brwse ##
 _httpiconhbrwse_ {_httpimg_/h\_brwse.gif}
 _widthhbrwse_ {200}
 _heighthbrwse_ {57}
 
-## people ##
+## "people" ## green_title ## h_people ##
 _httpiconhpeople_ {_httpimg_/h\_people.gif}
 _widthhpeople_ {200}
 _heighthpeople_ {57}
 
-## CONTINUE? ##
+## "CONTINUE?" ## top_nav_button ## cont ##
 _httpiconcontoff_ {_httpimg_/contoff.gif}
 _httpiconconton_ {_httpimg_/conton.gif}
@@ -340,5 +377,5 @@
 _heightcontx_ {17}
 
-## EXPAND TEXT ##
+## "EXPAND TEXT" ## document_button ## eallt ## 
 _httpiconealltof_ {_httpimg_/ealltof.gif}
 _httpiconeallton_ {_httpimg_/eallton.gif}
@@ -346,5 +383,5 @@
 _heightealltx_ {30}
 
-## CONTRACT CONTENTS ##
+## "CONTRACT CONTENTS" ## document_button ## econc ##
 _httpiconeconcof_ {_httpimg_/econcof.gif}
 _httpiconeconcon_ {_httpimg_/econcon.gif}
@@ -352,5 +389,5 @@
 _heighteconcx_ {30}
 
-## DETACH ##
+## "DETACH" ## document_button ## edtch ##
 _httpiconedtchof_ {_httpimg_/edtchof.gif}
 _httpiconedtchon_ {_httpimg_/edtchon.gif}
@@ -358,5 +395,5 @@
 _heightedtchx_ {30}
 
-## EXPAND CONTENTS ##
+## "EXPAND CONTENTS" ## document_button ## eexpc ##
 _httpiconeexpcof_ {_httpimg_/eexpcof.gif}
 _httpiconeexpcon_ {_httpimg_/eexpcon.gif}
@@ -364,5 +401,5 @@
 _heighteexpcx_ {30}
 
-## CONTRACT TEXT ##
+## "CONTRACT TEXT" ## document_button ## etsec ##
 _httpiconetsecof_ {_httpimg_/etsecof.gif}
 _httpiconetsecon_ {_httpimg_/etsecon.gif}
@@ -370,5 +407,5 @@
 _heightetsecx_ {30}
 
-## HIGHLIGHTING ##
+## "HIGHLIGHTING" ## document_button ## ehl ##
 _httpiconehlof_ {_httpimg_/ehlof.gif}
 _httpiconehlon_ {_httpimg_/ehlon.gif}
@@ -376,5 +413,5 @@
 _heightehlx_ {30}
 
-## NO HIGHLIGHTING ##
+## "NO HIGHLIGHTING" ## document_button ## enhl ##
 _httpiconenhlof_ {_httpimg_/enhlof.gif}
 _httpiconenhlon_ {_httpimg_/enhlon.gif}
@@ -383,512 +420,4 @@
 
 
-######################################################################
-# 'home' page
-package home
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_documents_ { documents. }
-_lastupdate_ {Last updated}
-_ago_ {days ago.}
-_colnotbuilt_ {Collection not built.}
-
-_textpeople_ {People}
-_textfb_ {Feedback}
-_textpub_ {Publications}
-_texttec_ {Technology}
-_textrw_ {Related Work}
-_textinfosheet_ {Info Sheet}
-_textscreenshots_ {Screen Shots}
-_textnpepainfosheet_ {Niupepa Info Sheet}
-_textpagetitle_ {Greenstone Digital Library}
-_textprojhead_ {The New Zealand Digital Library Project}
-
-_textprojinfo_ {
-<h4>The NZDL system</h4>
-
-<p> The New Zealand Digital Library system comprises several demonstration
-collections -- computer science technical reports and bibliographies,
-literary works, humanitarian and development information, magazines -- and
-makes them available over the Web through full-text interfaces.  Behind the
-query interface lies a huge collection providing gigabytes of information.
-We hope you find what you want, or at least something intriguing!
-
-<h4>The Greenstone software</h4>
-
-<p> The Greenstone Digital Library software provides a new way of
-organizing information and making it available over the Internet.  A
-<i>collection</i> of information comprises several (typically several
-thousand, or even several million) <i>documents</i>, which share a uniform
-searching and browsing interface.  The collections in a library are
-organized in a different way--though they share a strong family
-resemblance.  Although primarily designed for access over the Web,
-Greenstone collections can be made available, in precisely the same form,
-on CD-ROM for standalone PCs.  Greenstone is open-source software,
-available under the terms of the Gnu public linense.
- 
-<h4>The research</h4>
-
-<p> The goal of our research program is to explore the potential of
-internet-based digital libraries.  Our vision is to develop systems that
-automatically impose structure on anarchic, uncatalogued, distributed
-repositories of information, thereby providing information consumers with
-effective tools to locate what they need and to peruse it conveniently and
-comfortably.  Our research objectives are to
-
-<ul>
-  <li> develop technology for creating and automatically
-      maintaining collections;
-  <li> monitor usage to study library users' needs;
-  <li> look at novel interfaces that cater to a wide spectrum of users;
-  <li> find ways to abstract layout and bibliographic information
-      from document files;
-  <li> use this information to enhance presentation and for
-      bibliometric research;
-  <li> assess potential subject areas for public-domain collections;
-  <li> survey and critique other digital library projects.
-</ul>
-}
-
-_textotherinfo_ {
-<table border=0 cellpadding=5><tr valign=top>
-<td width=50%>
-<h4>Global Help Projects vzw</h4>
-
-<a href="http://www.globalprojects.org">Global Help Projects</a> is a
-registered charity responsible for the Humanity Libraries Project that
-provides universal low-cost information access through co-operation between
-UN Agencies, universities and NGOs.  Global Help Projects collaborate
-extensively with the NZDL project, and use the Greenstone software.
-</td><td width=50%> 
-
-<h4>DigiLib Systems Limited</h4>
-
-<p><a href="http://www.digilibs.com/">DigiLib Systems Limited</a> is an
-innovative software company that creates international digital libraries.
-As a major contributor to the Greenstone Digital Library Software they are
-able to build, customize, and extend digital libraries to meet exacting
-needs.  Please <a href="mailto:contact@digilibs.com">contact</a> them for
-an obligation free quote.  </td></tr></table> }
-
-_textpoem_ {
-<br><h2 align=left>Kia papapounamu te moana</h2>
-
-        <p>kia hora te marino,
-        <br>kia tere te karohirohi,
-        <br>kia papapounamu te moana
-
-        <p>may peace and calmness surround you,
-        <br>may you reside in the warmth of a summer's haze,
-        <br>may the ocean of your travels be as smooth as the polished greenstone.
-}
-
-_textgreenstone_ { <p><br> Greenstone is a semi-precious stone that (like
-this software) is sourced in New Zealand.  In traditional Maori society it
-was the most highly prized and sought after of all substances.  It can
-absorb and hold <i>wairua</i>, which is a spirit or life force, and is
-endowed with traditional virtues that make it an appropriate emblem for a
-public-domain digital library project.  Its lustre shows charity; its
-translucence, honesty; its toughness, courage; and the sharp edge it can
-take, justice.  The carved piece used in the Greenstone Digital Library
-Software logo is a <i>patu</i> or fighting club, and is a family heirloom
-of one of our project members.  In hand-to-hand combat its delivery is very
-quick, very accurate, and very complete.  We like to think these qualities
-also apply to our software, the razor sharp edge of the <i>patu</i>
-symbolizing the leading edge of technology.
-
-<p><a href="mailto:greenstone@cs.waikato.ac.nz">Greenstone Digital Library Software</a>
-<br><a href="http://www.cs.waikato.ac.nz/cs">Computer Science Department</a>, 
-<a href="http://www.waikato.ac.nz">University of Waikato</a>, New Zealand
-
-<br>October 1999
-}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-## THE NEW ZEALAND DIGITAL LIBRARY ##
-_httpiconnzdl_ {_httpimg_/nzdl2gr.gif}
-_widthnzdl_ {457}
-_heightnzdl_ {181}
-
-## select a collection ##
-_httpiconselcolgr_ {_httpimg_/selcolgr.gif}
-_widthselcolgr_ {537}
-_heightselcolgr_ {17}
-
-
-######################################################################
-# 'help' page
-package help
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textHelp_ {Help}
-_textSearchshort_ {search for particular words}
-_textSeriesshort_ {access publications by series}
-_textDateshort_ {access publications by date}
-_textSubjectshort_ {access publications by subject}
-_textTitleshort_ {access publications by title}
-_textBrowseshort_ {browse publications}
-_textCreatorshort_ {access publications by author}
-_textOrganizationshort_ {access publications by organization}
-_textHowtoshort_ {access publications by how to listing}
-_textTopicshort_ {access publications by topic}
-_textPeopleshort_ {access publications by people}
-_textdefaultshorttext_ {undefined classification}
-
-_textSearchlong_ { <p>You can <i>search for particular words</i> that
-appear in the text from the "search" page. This is the first page that
-comes up when you begin, and can be reached from other pages by pressing
-the <i>search</i> button.  }
-
-_textTitlelong_ { <p>You can <i>access publications by title</i> by
-pressing the <i>titles a-z</i> button.  This brings up a list of books in
-alphabetic order.  }
-
-_textOrganizationlong_ { <p>You can <i>access publications by
-organization</i> by pressing the <i>organization</i> button.  This brings
-up a list of organizations.  }
-
-_textHowtolong_ { <p>You can <i>access publications by how to listing</i>
-by pressing the <i>how to</i> button.  This brings up a list of how to
-strings.  }
-
-_textCreatorlong_ { <p>You can <i>access publications by author</i> by
-pressing the <i>authors a-z</i> button.  This brings up a list of books,
-sorted by author name.  }
-
-_textTopiclong_ { <p>You can <i>access publications by topic</i> by
-pressing the <i>topic</i> button.  This brings up a list of topics to
-browse.  }
-
-_textSubjectlong_ { <p>You can <i>access publications by subject</i> by
-pressing the <i>subjects</i> button.  This brings up a list of subjects,
-represented by bookshelves.  }
-
-_textSerieslong_ { <p>You can <i>access publications by series</i> by
-pressing the <i>series</i> button.  This brings up a list of those series
-which are currently in the collection.  }
-
-_textDatelong_ { <p>You can <i>access publications by date</i> by pressing
-the <i>dates</i> button.  This brings up a list of all the issues, sorted
-chronologically.  }
-
-_textBrowselong_ { <p>You can <i>browse publications</i> by pressing the
-<i>browse</i> button.  }
-
-_textPeoplelong_ { <p>You can <i>access publications by people</i> by
-pressing the <i>people a-z</i> button.  This brings up a list of entries,
-sorted by surname.  }
-
-_textdefaultlongtext_ { <p>Click on the <i>unknown</i> button to browse
-publications (listing is sorted by an unknown field).  }
-
-_texthelptopics_ {
-<h2 align=left>Topics</h2>
-<ul>
-  <li><a href="\#finding-information">_textsimplehelpheading_</a>
-  _topicreadingdocs_
-  <li><a href="\#searching">How to search for particular words</a>
-<ul>
-  <li><a href="\#query-terms">Search terms</a>
-  <li><a href="\#query-type">Query type</a>
-  <li><a href="\#scope-of-queries">Scope of queries</a>
-</ul>
-  <li><a href="\#preferences">_textchangeprefs_</a>
-<ul>
-  <li><a href="\#col-prefs">Collection preferences</a>
-  <li><a href="\#pres-prefs">Presentation preferences</a>
-  <li><a href="\#search-prefs">Search preferences</a>
-</ul>
-</ul>
-}
-
-# there are 4 versions of this section of the help text.
-# which version is used is currently set within the server
-# (it should probably use the macro language e.g. [type=book])
-# 1 = html (like fao collections) -- section is empty
-# 2 = book (like hdl collection) -- macros beginning with book
-# 3 = bibliographic (like csbib) -- macros beginning with bib
-# 4 = standard (like gberg) -- the default
-
-_topicreadingdocs_ {<li><a href="\#reading-docs">_textreadingdocs_</a>}
-
-_textreadingdocs_ {How to read the documents}
-_booktextreadingdocs_ {How to read the books}
-_bibtextreadingdocs_ {Getting more information on a bibliography item}
-
-_texthelpreadingdocs_ {
-<p>_iconblankbar_
-<a name=reading-docs>
-<h2>_textreadingdocs_</h2>
-
-<p>You can tell when you have arrived at an individual document because its
-title and author appear at the top left of the page. Beside these is the
-number of the current page, a box that allows you to select a new page, and
-forward and backward arrows.
-
-<p>Underneath is the text of the current section. When you have read
-through it, there are arrows at the bottom to take you on to the next
-section or back to the previous one.
-
-<p>Below the title and author are three buttons. Click on <i>expand
-text</i> to expand out the whole text of the current document. If the
-document is large, this could take a long time and use a lot of memory!
-Click on <i>detach</i> to make a new browser window for this
-document. (This is useful if you want to compare documents, or read two at
-once.)  Finally, when you do a search the words you search for are
-highlighted.  Click on <i>no highlighting</i> to remove the highlighting.
-<p>
-<table cellspacing="0" cellpadding="2" border="0">
-<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>Click on the arrow to go to the next section ...</td></tr>
-<tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... or back to the previous section</td></tr>
-<tr><td><img src="_document:httpiconealltof_" border="0"></td><td><img 
-src="_document:httpiconetsecof_" border="0"></td><td>Display all text, or not</td></tr>
-<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
-<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
-src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
-</table>
-
-}
-
-_booktexthelpreadingdocs_ {
-<p>_iconblankbar_
-<a name=reading-docs>
-<h2>_textreadingdocs_</h2>
-
-<p>You can tell when you have arrived at an individual book because there
-is a photograph of its front cover at the top left of the page.  Beside the
-photograph is a table of contents with an arrow marking where you are.
-This table is expandable: click on the folders to open them or close them.
-Click on the open book at the top to close it.
-
-<p>Underneath is the text of the current section.  When you have read
-through it, there are arrows at the bottom to take you on to the next
-section or back to the previous one.
-
-<p>Below the photograph are four buttons. Click on <i>expand text</i> to
-expand out the whole text of the current section, or book.  If the book is
-large, this could take a long time and use a lot of memory! Click on
-<i>expand contents</i> to expand out the whole table of contents so that
-you can see the titles of all chapters and subsections. Click on
-<i>detach</i> to make a new browser window for this book.  (This is useful
-if you want to compare books, or read two at once.) Finally, when you do a
-search the words you search for are highlighted. Click on <i>no
-highlighting</i> to remove highlighting.
-
-<p>
-<table cellspacing="0" cellpadding="2" border="0">
-<tr><td colspan=2><img src="_httpiconbshelf_" border="0"></td><td>Open this bookshelf</td></tr>
-<tr><td><img src="_httpiconopenbook_" border="0"></td><td><img 
-src="_httpiconbook_" border="0"></td><td>Open/close this book</td></tr>
-<tr><td colspan=2><img src="_httpiconitext_" border="0"></td><td>View this section of the text</td></tr>
-<tr><td><img src="_document:httpiconealltof_" border="0"></td><td><img 
-src="_document:httpiconetsecof_" border="0"></td><td>Display all text, or not</td></tr>
-<tr><td><img src="_document:httpiconeexpcof_" border="0"></td><td><img
-src="_document:httpiconeconcof_" border="0"></td><td>Expand table of contents, or not</td></tr>
-<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
-<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
-src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
-<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>Click the arrow to go to the next section ...</td></tr>
-<tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... or back to the previous section</td></tr>
-</table>
-}
-
-_bibtexthelpreadingdocs_ {
-<p>_iconblankbar_
-<a name=reading-docs>
-<h2>_textreadingdocs_</h2>
-
-<p>Some bibliography items contain more information, such as an abstract.
-You can tell from the query response page if this is the case because they 
-are shown with the _icontext_ icon instead of the _iconblanktext_ icon.
-
-<p>Clicking on the _icontext_ icon will give you more information about the
-bibliography item.
-
-<p> Below the bibliography item are two buttons. Click on <i>detach</i> to 
-make a new browser window for this book. (This is useful if you want to compare
-bibliography items.) Finally, when you do a search the words you search for are 
-highlighted. Click on <i>no highlighting</i> to remove the highlighting.
-
-<p>
-<table cellspacing="0" cellpadding="2" border="0">
-<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
-<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
-src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
-</table>
-}
-
-_texthelpsearching_ {
-<h2>How to search for particular words</h2>
-<p>
-  From the search page, you make a query in these simple steps:<p>
-  
-  <ol><li>Specify what documents you want to search
-      <li>Say whether you want to search for all or just some of the words
-      <li>Type in the words you want to search for
-      <li>Click the <i>Begin Search</i> button
-  </ol>
-
-<p>When you make a query, the titles of twenty matching documents will be shown.
-There is a button at the end to take you on to the next twenty documents.  From
-there you will find buttons to take you on to the third twenty or back to the
-first twenty, and so on.  Click the title of any document, or the little button
-beside it, to see it.
-
-<p>A maximum of 100 is imposed on the number of
-  documents returned.  You can change this number by clicking the
-  <i>preferences</i> button at the top of the page.<p>
-
-<p>_iconblankbar_
-<a name=query-terms>
-<h3>Search terms</h3>
-
-<p>Whatever you type into the query box is interpreted as a list of words
-called "search terms."  Each term contains nothing but alphabetic characters
-and digits.  Terms are separated by white space.  If any other characters such
-as punctuation appear, they serve to separate terms just as though they were
-spaces.  And then they are ignored.  You can't search for words that include
-punctuation.
-
-<p>For example, the query<p>
-    <ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul>
-      <p>will be treated the same as<p>
-      <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul><p>
-
-<p>_iconblankbar_
-<a name=query-type>
-<h3>Query type</h3>
-
-<p>There are two different kinds of query.
-
-<ul>
-  <li>Queries for <b>all</b> of the words.  These look for documents that 
-      contain all the words you have specified.  Documents that satisfy the
-      query are displayed, in alphabetical order.<p>
-
-  <li>Queries for <b>some</b> of the words.  Just list some terms that are
-      likely to appear in the documents you are looking for.  Documents are
-      displayed in order of how closely they match the query.  When determining
-
-      the degree of match,
-
-      <p><ul>
-        <li> the more search terms a document contains, the closer it matches;
-        <li> rare terms are more important than common ones;
-        <li> short documents match better than long ones.
-      </ul>
-</ul>
-
-<p>Use as many search terms as you like--a whole sentence, or even a
-whole paragraph.  If you specify only
-one term, documents will be ordered by its frequency of occurrence.<p>
-_texthelpscope_
-}
-
-_textchangeprefs_ {Changing your preferences}
-
-_texthelppreferences_ {<h2>_textchangeprefs_</h2>
-
-<p>When you click the <i>preferences</i> button at the top of the page you will
-be able to change some features of the interface to suit your own requirements.
-
-<p>_iconblankbar_
-<a name=col-prefs>
-<h3 align=left>Collection preferences</h3>
-
-Some collections comprise several subcollections, which can be searched
-independently or together, as one unit.  If so, you can select which
-subcollections to include in your searches on the Preferences page.
-
-<p>_iconblankbar_
-<a name=pres-prefs>
-<h3 align=left>Presentation preferences</h3>
-
-Depending on the particular collection, there may be several options you can
-set that control the presentation.
-
-Collections of Web pages allow you to suppress the Greenstone navigation bar at
-the top of each document page, so that once you have done a search you land at
-the exact Web page that matches without any Greenstone header.  To do another
-search you will have to use your browser's "back" button.  These collections
-also allow you to suppress Greenstone's warning message when you click a link
-that takes you out of the digital library collection and on to the Web itself.
-And in some Web collections you can control whether the links on the "Search
-Results" page take you straight to the actual URL in question, rather than to
-the digital library's copy of the page.
-
-Collections that are capable of being presented in different languages allow
-you to specify the interface language.  If the language is Chinese, you can
-also specify which of the standard Chinese encodings your browser uses.
-
-Finally, all collections allow you to switch to a textual interface format
-rather than the standard graphical one.  This is particularly useful for
-visually impaired users who use large screen fonts or speech synthesizers for
-output.
-
-<p>_iconblankbar_
-<a name=search-prefs>
-<h3 align=left>Search preferences</h3>
-Two pairs of buttons control the case sensitivity and stemming of the searches
-that you make. The first set of buttons controls whether upper and lower case
-must match (case sensitivity).  The second set controls whether to ignore word
-endings or not (stemming).
-
-<p>For example, if the buttons <i>ignore case differences</i> and
-<i>ignore word endings</i> are selected, the query<p>
-    <ul><kbd>African building</kbd></ul>
-      <p>will be treated the same as<p>
-      <ul><kbd>africa builds</kbd></ul><p>
-      because the uppercase letter in "African" will be transformed to
-      lowercase, and  the suffixes "n" and "ing" will be removed from
-      "African" and "building" respectively (also, "s" would be removed from
-      "builds").
-
-<p>You can also switch to an "advanced" query mode which allows you to
-combine terms using AND (&), OR (|), and NOT (!). This allows you to
-specify more precise queries.
-
-<p>Finally, you can control the number of hits returned, and the number
-presented on each screenful.
-
-}
-
-_texttanumbrowseoptions_ {There are _numbrowseoptions_ ways to find information in this collection:}
-
-_textsimplehelpheading_ {How to find information}
-
-_texthelpscope_ {
-<p>_iconblankbar_
-<a name=scope-of-queries>
-<h3 align=left>Scope of queries</h3>
-
-<p>
-In most collections you can choose different indexes to search. For example, there might
-be author or title indexes. Or there might be chapter or paragraph indexes. Generally,
-the full matching document is returned regardless of which index you search.
-<p>If documents are books, they will be opened at the appropriate place.
-}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-## help ##
-_httpiconhhelp_ {_httpimg_/h\_help.gif}
-_widthhhelp_ {200}
-_heighthhelp_ {57}
-
 
 ######################################################################
@@ -897,8 +426,12 @@
 ######################################################################
 
+
 #------------------------------------------------------------
 # text macros
 #------------------------------------------------------------
 
+# this if statement produces the text 'results n1 - nn for query: querystring' or 
+# 'No matches for query: querystring', depending on whether or not there were
+# any matches
 _textquerytitle_ {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq_)}
 _textnoquerytitle_ {Search page}
@@ -955,15 +488,15 @@
 #------------------------------------------------------------
 
-## search ##
+## "search" ## green_title ## h_search ##
 _httpiconhsearch_ {_httpimg_/h\_search.gif}
 _widthhsearch_ {200}
 _heighthsearch_ {57}
 
-## results ##
+## "results" ## green_bar_left_aligned ## qryresb ##
 _httpiconqryresb_ {_httpimg_/qryresb.gif}
 _widthqryresb_ {_pagewidth_}
 _heightqryresb_ {17}
 
-## display ##
+## "display" ## hand_made ##
 _httpicondisplay_ {_httpimg_/display.gif}
 _widthdisplay {60}
@@ -971,8 +504,10 @@
 
 
+
 ######################################################################
 # 'preferences' page
 package preferences
 ######################################################################
+
 
 #------------------------------------------------------------
@@ -1018,4 +553,5 @@
 #------------------------------------------------------------
 
+## "preferences" ## green_title ## h_pref ##
 _httpiconhpref_ {_httpimg_/h\_pref.gif}
 _widthhpref_ {200}
@@ -1023,398 +559,4 @@
 
 
-######################################################################
-# 'people' page
-package people
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textpagetitle_ {NZDL: People}
-
-_textsmallrs_ {Related Staff}
-
-_textsawnzdl_ {Staff associated with the New Zealand Digital Library 
-	project are:}
-_texttrsaawp_ {These research students and software support people are associated with the project:}
-
-_textstafftable_ {
-<table>
-<tr>
-  <td align=right valign=top width=100><a href="http://www.cs.waikato.ac.nz/~ihw">Ian Witten</a></td>
-  <td _1_ align=left valign=top>Project leader; co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a></td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/mark-d.-apperley-.html">Mark Apperley</a></td>
-  <td _1_ align=left valign=top>User interfaces for readers</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/david-bainbridge.html">David Bainbridge</a></td>
-  <td _1_ align=left valign=top>Musical and Web-based collections; optical music recognition</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-href="http://www.cs.waikato.ac.nz/cs/Staff/sally-jo-cunningham.html">Sally Jo Cunningham</a></td>
-  <td _1_ align=left valign=top>Collections and usage studies</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/steve-jones.html">Steve Jones</a></td>
-  <td _1_ align=left valign=top>Phrase-based interfaces, collaborative browsing, usage analysis</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-  href="http://www.cs.waikato.ac.nz/cs/Staff/te-taka-keegan.html">Te Taka Keegan
-  </a></td> 
-  <td _1_ align=left valign=top>Maori language systems</td>
-</tr>
-  <td align=right valign=top><a
-  href="http://www.cs.waikato.ac.nz/Staff/malika-mahoui.html">Malika
-  Mahoui</a></td> 
-  <td _1_ align=left valign=top>Text mining, Arabic interfaces</td>
-</tr>
-</table>
-}
-
-_textgstable_ {
-<table>
-<tr>
-  <td align=right valign=top>George Buchanan</a></td>
-  <td _1_ align=left valign=top>Systems support</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~sjboddie">Stefan Boddie</a></td>
-  <td _1_ align=left valign=top>Systems support</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~rjmcnab">Rodger McNab</a></td>
-  <td _1_ align=left valign=top>Systems support</td>
-</tr>
-<tr>
-  <td align=right valign=top>YingYing Wen</a></td>
-  <td _1_ align=left valign=top>Text mining, Chinese libraries</td>
-</tr>
-<tr>
-  <td align=right valign=top>Stuart Yeates</a></td>
-  <td _1_ align=left valign=top>Text mining, acronym extraction</td>
-</tr>
-</table>
-}
-
-_textsmallcont_ {Other Contributors}
-_texttpcsp_ {These people have contributed strongly to the project:}
-
-_textconttable_ {
-<table>
-<tr>
-  <td align=right valign=top width=100>Mark Abrahams</td>
-  <td _1_ align=left valign=top>Client-side browsing interfaces using Java</td>
-</tr>
-<tr>
-  <td align=right valign=top width=100><a href="http://www.cosc.canterbury.ac.nz/~tim">Tim Bell</a></td>
-  <td _1_ align=left valign=top>Co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a></td>
-</tr>
-<tr>
-  <td align=right valign=top>Matt Humphrey</td>
-  <td _1_ align=left valign=top>Information visualization in the digital library</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-href="http://www.cs.waikato.ac.nz/~singlis">Stuart Inglis</a></td>
-  <td _1_ align=left valign=top>Document image analysis and optical character recognition</td>
-</tr>
-<tr>
-  <td align=right valign=top>Trent Mankelow</a></td>
-  <td _1_ align=left valign=top>School Journal prototype</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cosc.canterbury.ac.nz/~bruce">Bruce McKenzie</a></td>
-  <td _1_ align=left valign=top>Original interface to MG</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.mu.oz.au/~alistair">Alistair Moffat</a></td>
-  <td _1_ align=left valign=top>Co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a>,
-created the MG software</td>
-</tr>
-<tr>
-  <td align=right valign=top>Todd Reed</td>
-  <td _1_ align=left valign=top>PostScript to text conversion, user interface, WWW server, index building, FTP</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-href="http://www.cs.waikato.ac.nz/cs/Staff/don-a.-smith.html">Don Smith</a></td>
-  <td _1_ align=left valign=top>Special needs of libraries for mathematical and theoretical materials</td>
-</tr>
-<tr>
-  <td align=right valign=top>Che Tamahori</td>
-  <td _1_ align=left valign=top>Designer of New Zealand Digital Library Web
-  pages</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-href="http://www.cs.waikato.ac.nz/~wjt">Bill Teahan</a></td>
-  <td _1_ align=left valign=top>Language modeling</td>
-</tr>
-<tr>
-  <td align=right valign=top>Mahendra Vallabh</td>
-  <td _1_ align=left valign=top>Original FTP script</td>
-</tr>
-<tr>
-  <td align=right valign=top><a
-href="http://www.cs.waikato.ac.nz/cs/Staff/lloyd-a.-smith.html">Lloyd Smith</a></td>
-  <td _1_ align=left valign=top>Music collections and music retrieval</td>
-</tr>
-<tr>
-  <td align=right valign=top>John Venable</td>
-  <td _1_ align=left valign=top>Requirements for digital libraries, and collections for information systems</td>
-</tr>
-</table>
-}
-
-_textaffiliates_ {There are several affiliates at other universities:}
-
-_textaffiliatetable_ {
-<table>
-<tr>
-  <td align=right valign=top>Elke Duenker</td>
-  <td _1_ align=left valign=top>Cross-cultural issues</td>
-</tr>
-<tr>
-  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~cgn/
-">Craig Nevill-Manning</a></td>
-  <td _1_ align=left valign=top>PostScript to text conversion, user
-interface, WWW server, index
-building, FTP</td>
-</tr>
-<tr>
-  <td align=right valign=top>Nina Reeves</td>
-  <td _1_ align=left valign=top>Librarians and library users</td>
-</tr>
-<tr>
-  <td align=right valign=top>Yin Leng Theng</td>
-  <td _1_ align=left valign=top>Digital libraries for schools</td>
-</tr>
-<tr>
-  <td align=right valign=top>Harold Thimbleby</td>
-  <td _1_ align=left valign=top>User interfaces for digital
-libraries</td>
-</tr>
-</table>
-}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-_httpiconhpeople_ {_httpimg_/h\_people.gif}
-_widthhpeople_ {200}
-_heighthpeople_ {57}
-
-
-######################################################################
-# 'technology' page
-package technology
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textpagetitle_ {NZDL: Technology}
-
-_content_ {
-_iconblankbar_
-<p>There are several freely available technologies underlying the New Zealand
-Digital Library:
-<ul>
-<li><a href="_httppagex_(gsdlsoft)"><i>Greenstone</i></a>, the digital
-library system that generates each and every page of this website.<p>
-
-<li><a href="_httppagex_(prescript)"><i>PreScript</i></a>, a system
-that converts PostScript to plain ASCII or HTML, detects paragraph boundaries,
-removes hyphenation, and interprets many ligatures.<p>
-
-<li><a href="_httppagex_(mg)"><i>MG</i></a>, an enhancement of the <a
-href="http://www.cs.mu.oz.au/mg"><i>Managing Gigabytes</i></a> full-text
-retrieval system, that provides flexible stemming methods, weighting terms,
-term frequencies, merged indexes, machine independent indexes, and a port to
-MSDOS.<p>
-
-<li><a href="http://www.cs.waikato.ac.nz/sequitur"><i>Sequitur</i></a>, a
-method for inferring compositional hierarchies from strings by detecting
-repetition and factoring it out of the string by  forming rules in a
-grammar. The rules can be composed of non-terminals, giving rise to a
-hierarchy. Sequitur is useful for  recognizing lexical structure in strings,
-and excels at very long sequences.<p>
-
-<li><a href="http://www.nzdl.org/Kea"><i>Kea</i></a>, a program for
-automatically extracting keyphrases from the full text of documents. Candidate
-keyphrases are identified using rudimentary lexical processing, features are
-computed for each candidate, and machine learning is used to generate a
-classifier that determines which candidates should be assigned as
-keyphrases. <p>
-
-<li><a href="http://www.cs.waikato.ac.nz/~stevej/Research/Phrasier/"><i>Phrasier</i></a>, a 
-tool to support information seeking activities in a digital library.  Its novel design 
-reflects the fact that reading, writing, browsing and searching activities are rarely 
-carried out independently of each other.  They overlap and interleave in ways which have 
-not been effectively supported by conventional information retrieval interfaces.  Consequenly
-Phrasier blurs the distinction between writing a document and finding material related to it; 
-between reading a document and finding others on the same or similar topics; between keyword 
-searching and subject browsing. <p>
-
-</ul>
-
-<br>
-}
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-_httpiconhtech_ {_httpimg_/h\_tech.gif}
-_widthhtech_ {200}
-_heighthtech_ {57}
-
-
-######################################################################
-# 'status' pages
-package status
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textframebrowser_ {You must have a frame enabled browser to view this.}
-_textusermanage_ {User management}
-_textlistusers_ {list users}
-_textaddusers_ {add a new user}
-
-_textinfo_ {Information}
-_textgeneral_ {general}
-_textarguments_ {arguments}
-_textactions_ {actions}
-_textprotocols_ {protocols}
-
-_textcollections_ {Collections}
-_textnewcoll_ {new collection}
-_texteditcoll_ {edit collection}
-_textbuildcoll_ {build collection}
-_textdeletecoll_ {delete collection}
-
-_textlogs_ {Logs}
-_textinitlog_ {init log}
-_texterrorlog_ {error log}
-
-_textreturnhome_ {Return to home page}
-
-_titlewelcome_ { Maintenance and Administration }
-
-_welcome_ {
-
-<p> Maintenance and administration services available include:
-	view on-line logs; 
-	create, maintain and update collections; 
-	and access technical information such as CGI arguments.  
-	These services are accessed using the
-	side navigation bar on the lefthand side of the page.
-}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-######################################################################
-# html package
-package html
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textframebrowser_ {You must have a frame enabled browser to view this.}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-######################################################################
-# external link package
-package extlink
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textextlink_ {External Link}
-_textlinknotfound_{Internal Link not Found}
-
-_textextlinkcontent_ {The link you have selected is external to any of your currently selected collections.
-    If you still wish to view this link and your browser has access to 
-    the Web, you can <a href="_nexturl_">go forward</a> to this page; otherwise 
-    use your browsers "back" button to return to the previous document.}
-
-_textlinknotfoundcontent_ {For reasons beyond our control, the internal link you have selected 
-    does not exist.  This is probably due to an error in the source collection.
-    Use your browsers "back" button to return to the previous document.}
-
-# should have arguments of collection, collectionname and link
-_foundintcontent_ {
-
-<h3>Link to "_2_" collection</h3>
-
-<p> The link you have selected is external to the "_collectionname_"
-    collection (it links to the "_2_" collection).
-    If you wish to view this link in the "_2_" collection you can 
-    <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">go forward</a> to this page; 
-    otherwise use your browsers "back" button to return to the previous document.
-}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
-
-######################################################################
-# authentication page
-package authen
-######################################################################
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textGSDLtitle_ {Greenstone Digital Library}
-
-_textusername_ {username}
-_textpassword_ {password}
-
-_textmessageinvalid_ {The page you have requested requires you to sign in.
-Please enter your username and password.}
-
-_textmessagefailed_ {Either your user name or password was incorrect.}
-
-_textmessagedisabled_ {Sorry, your account has been disabled. Please contact
-the webmaster for this site.}
-
-_textmessagepermissiondenied_ {Sorry, you do not have permission to access this page.}
-
-_textmessagestalekey_ {The link you have followed is now stale. 
-Please enter your password to access this page.}
-
-
-#------------------------------------------------------------
-# icons
-#------------------------------------------------------------
-
 
 ######################################################################
@@ -1422,4 +564,5 @@
 package delhistory
 ######################################################################
+
 
 #------------------------------------------------------------
@@ -1438,6 +581,377 @@
 _textselect_ {select}
 
+
 #------------------------------------------------------------
 # icons
 #------------------------------------------------------------
 
+
+
+######################################################################
+# 'help' page -- this is lower priority for translating than the
+# rest of this file
+package help
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textHelp_ {Help}
+_textSearchshort_ {search for particular words}
+_textSeriesshort_ {access publications by series}
+_textDateshort_ {access publications by date}
+_textSubjectshort_ {access publications by subject}
+_textTitleshort_ {access publications by title}
+_textBrowseshort_ {browse publications}
+_textCreatorshort_ {access publications by author}
+_textOrganizationshort_ {access publications by organization}
+_textHowtoshort_ {access publications by how to listing}
+_textTopicshort_ {access publications by topic}
+_textPeopleshort_ {access publications by people}
+_textdefaultshorttext_ {undefined classification}
+
+_textSearchlong_ { <p>You can <i>search for particular words</i> that
+appear in the text from the "search" page. This is the first page that
+comes up when you begin, and can be reached from other pages by pressing
+the <i>search</i> button.  }
+
+_textTitlelong_ { <p>You can <i>access publications by title</i> by
+pressing the <i>titles a-z</i> button.  This brings up a list of books in
+alphabetic order.  }
+
+_textOrganizationlong_ { <p>You can <i>access publications by
+organization</i> by pressing the <i>organization</i> button.  This brings
+up a list of organizations.  }
+
+_textHowtolong_ { <p>You can <i>access publications by how to listing</i>
+by pressing the <i>how to</i> button.  This brings up a list of how to
+strings.  }
+
+_textCreatorlong_ { <p>You can <i>access publications by author</i> by
+pressing the <i>authors a-z</i> button.  This brings up a list of books,
+sorted by author name.  }
+
+_textTopiclong_ { <p>You can <i>access publications by topic</i> by
+pressing the <i>topic</i> button.  This brings up a list of topics to
+browse.  }
+
+_textSubjectlong_ { <p>You can <i>access publications by subject</i> by
+pressing the <i>subjects</i> button.  This brings up a list of subjects,
+represented by bookshelves.  }
+
+_textSerieslong_ { <p>You can <i>access publications by series</i> by
+pressing the <i>series</i> button.  This brings up a list of those series
+which are currently in the collection.  }
+
+_textDatelong_ { <p>You can <i>access publications by date</i> by pressing
+the <i>dates</i> button.  This brings up a list of all the issues, sorted
+chronologically.  }
+
+_textBrowselong_ { <p>You can <i>browse publications</i> by pressing the
+<i>browse</i> button.  }
+
+_textPeoplelong_ { <p>You can <i>access publications by people</i> by
+pressing the <i>people a-z</i> button.  This brings up a list of entries,
+sorted by surname.  }
+
+_textdefaultlongtext_ { <p>Click on the <i>unknown</i> button to browse
+publications (listing is sorted by an unknown field).  }
+
+_texthelptopics_ {
+<h2 align=left>Topics</h2>
+<ul>
+  <li><a href="\#finding-information">_textsimplehelpheading_</a>
+  _topicreadingdocs_
+  <li><a href="\#searching">How to search for particular words</a>
+<ul>
+  <li><a href="\#query-terms">Search terms</a>
+  <li><a href="\#query-type">Query type</a>
+  <li><a href="\#scope-of-queries">Scope of queries</a>
+</ul>
+  <li><a href="\#preferences">_textchangeprefs_</a>
+<ul>
+  <li><a href="\#col-prefs">Collection preferences</a>
+  <li><a href="\#pres-prefs">Presentation preferences</a>
+  <li><a href="\#search-prefs">Search preferences</a>
+</ul>
+</ul>
+}
+
+# there are 4 versions of this section of the help text.
+# which version is used is currently set within the server
+# (it should probably use the macro language e.g. [type=book])
+# 1 = html (like fao collections) -- section is empty
+# 2 = book (like hdl collection) -- macros beginning with book
+# 3 = bibliographic (like csbib) -- macros beginning with bib
+# 4 = standard (like gberg) -- the default
+
+_topicreadingdocs_ {<li><a href="\#reading-docs">_textreadingdocs_</a>}
+
+_textreadingdocs_ {How to read the documents}
+_booktextreadingdocs_ {How to read the books}
+_bibtextreadingdocs_ {Getting more information on a bibliography item}
+
+_texthelpreadingdocs_ {
+<p>_iconblankbar_
+<a name=reading-docs>
+<h2>_textreadingdocs_</h2>
+
+<p>You can tell when you have arrived at an individual document because its
+title and author appear at the top left of the page. Beside these is the
+number of the current page, a box that allows you to select a new page, and
+forward and backward arrows.
+
+<p>Underneath is the text of the current section. When you have read
+through it, there are arrows at the bottom to take you on to the next
+section or back to the previous one.
+
+<p>Below the title and author are three buttons. Click on <i>expand
+text</i> to expand out the whole text of the current document. If the
+document is large, this could take a long time and use a lot of memory!
+Click on <i>detach</i> to make a new browser window for this
+document. (This is useful if you want to compare documents, or read two at
+once.)  Finally, when you do a search the words you search for are
+highlighted.  Click on <i>no highlighting</i> to remove the highlighting.
+<p>
+<table cellspacing="0" cellpadding="2" border="0">
+<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>Click on the arrow to go to the next section ...</td></tr>
+<tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... or back to the previous section</td></tr>
+<tr><td><img src="_document:httpiconealltof_" border="0"></td><td><img 
+src="_document:httpiconetsecof_" border="0"></td><td>Display all text, or not</td></tr>
+<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
+<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
+src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
+</table>
+
+}
+
+_booktexthelpreadingdocs_ {
+<p>_iconblankbar_
+<a name=reading-docs>
+<h2>_textreadingdocs_</h2>
+
+<p>You can tell when you have arrived at an individual book because there
+is a photograph of its front cover at the top left of the page.  Beside the
+photograph is a table of contents with an arrow marking where you are.
+This table is expandable: click on the folders to open them or close them.
+Click on the open book at the top to close it.
+
+<p>Underneath is the text of the current section.  When you have read
+through it, there are arrows at the bottom to take you on to the next
+section or back to the previous one.
+
+<p>Below the photograph are four buttons. Click on <i>expand text</i> to
+expand out the whole text of the current section, or book.  If the book is
+large, this could take a long time and use a lot of memory! Click on
+<i>expand contents</i> to expand out the whole table of contents so that
+you can see the titles of all chapters and subsections. Click on
+<i>detach</i> to make a new browser window for this book.  (This is useful
+if you want to compare books, or read two at once.) Finally, when you do a
+search the words you search for are highlighted. Click on <i>no
+highlighting</i> to remove highlighting.
+
+<p>
+<table cellspacing="0" cellpadding="2" border="0">
+<tr><td colspan=2><img src="_httpiconbshelf_" border="0"></td><td>Open this bookshelf</td></tr>
+<tr><td><img src="_httpiconopenbook_" border="0"></td><td><img 
+src="_httpiconbook_" border="0"></td><td>Open/close this book</td></tr>
+<tr><td colspan=2><img src="_httpiconitext_" border="0"></td><td>View this section of the text</td></tr>
+<tr><td><img src="_document:httpiconealltof_" border="0"></td><td><img 
+src="_document:httpiconetsecof_" border="0"></td><td>Display all text, or not</td></tr>
+<tr><td><img src="_document:httpiconeexpcof_" border="0"></td><td><img
+src="_document:httpiconeconcof_" border="0"></td><td>Expand table of contents, or not</td></tr>
+<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
+<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
+src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
+<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>Click the arrow to go to the next section ...</td></tr>
+<tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... or back to the previous section</td></tr>
+</table>
+}
+
+_bibtexthelpreadingdocs_ {
+<p>_iconblankbar_
+<a name=reading-docs>
+<h2>_textreadingdocs_</h2>
+
+<p>Some bibliography items contain more information, such as an abstract.
+You can tell from the query response page if this is the case because they 
+are shown with the _icontext_ icon instead of the _iconblanktext_ icon.
+
+<p>Clicking on the _icontext_ icon will give you more information about the
+bibliography item.
+
+<p> Below the bibliography item are two buttons. Click on <i>detach</i> to 
+make a new browser window for this book. (This is useful if you want to compare
+bibliography items.) Finally, when you do a search the words you search for are 
+highlighted. Click on <i>no highlighting</i> to remove the highlighting.
+
+<p>
+<table cellspacing="0" cellpadding="2" border="0">
+<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
+<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
+src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
+</table>
+}
+
+_texthelpsearching_ {
+<h2>How to search for particular words</h2>
+<p>
+  From the search page, you make a query in these simple steps:<p>
+  
+  <ol><li>Specify what documents you want to search
+      <li>Say whether you want to search for all or just some of the words
+      <li>Type in the words you want to search for
+      <li>Click the <i>Begin Search</i> button
+  </ol>
+
+<p>When you make a query, the titles of twenty matching documents will be shown.
+There is a button at the end to take you on to the next twenty documents.  From
+there you will find buttons to take you on to the third twenty or back to the
+first twenty, and so on.  Click the title of any document, or the little button
+beside it, to see it.
+
+<p>A maximum of 100 is imposed on the number of
+  documents returned.  You can change this number by clicking the
+  <i>preferences</i> button at the top of the page.<p>
+
+<p>_iconblankbar_
+<a name=query-terms>
+<h3>Search terms</h3>
+
+<p>Whatever you type into the query box is interpreted as a list of words
+called "search terms."  Each term contains nothing but alphabetic characters
+and digits.  Terms are separated by white space.  If any other characters such
+as punctuation appear, they serve to separate terms just as though they were
+spaces.  And then they are ignored.  You can't search for words that include
+punctuation.
+
+<p>For example, the query<p>
+    <ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul>
+      <p>will be treated the same as<p>
+      <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul><p>
+
+<p>_iconblankbar_
+<a name=query-type>
+<h3>Query type</h3>
+
+<p>There are two different kinds of query.
+
+<ul>
+  <li>Queries for <b>all</b> of the words.  These look for documents that 
+      contain all the words you have specified.  Documents that satisfy the
+      query are displayed, in alphabetical order.<p>
+
+  <li>Queries for <b>some</b> of the words.  Just list some terms that are
+      likely to appear in the documents you are looking for.  Documents are
+      displayed in order of how closely they match the query.  When determining
+
+      the degree of match,
+
+      <p><ul>
+        <li> the more search terms a document contains, the closer it matches;
+        <li> rare terms are more important than common ones;
+        <li> short documents match better than long ones.
+      </ul>
+</ul>
+
+<p>Use as many search terms as you like--a whole sentence, or even a
+whole paragraph.  If you specify only
+one term, documents will be ordered by its frequency of occurrence.<p>
+_texthelpscope_
+}
+
+_textchangeprefs_ {Changing your preferences}
+
+_texthelppreferences_ {<h2>_textchangeprefs_</h2>
+
+<p>When you click the <i>preferences</i> button at the top of the page you will
+be able to change some features of the interface to suit your own requirements.
+
+<p>_iconblankbar_
+<a name=col-prefs>
+<h3 align=left>Collection preferences</h3>
+
+Some collections comprise several subcollections, which can be searched
+independently or together, as one unit.  If so, you can select which
+subcollections to include in your searches on the Preferences page.
+
+<p>_iconblankbar_
+<a name=pres-prefs>
+<h3 align=left>Presentation preferences</h3>
+
+Depending on the particular collection, there may be several options you can
+set that control the presentation.
+
+Collections of Web pages allow you to suppress the Greenstone navigation bar at
+the top of each document page, so that once you have done a search you land at
+the exact Web page that matches without any Greenstone header.  To do another
+search you will have to use your browser's "back" button.  These collections
+also allow you to suppress Greenstone's warning message when you click a link
+that takes you out of the digital library collection and on to the Web itself.
+And in some Web collections you can control whether the links on the "Search
+Results" page take you straight to the actual URL in question, rather than to
+the digital library's copy of the page.
+
+Collections that are capable of being presented in different languages allow
+you to specify the interface language.  If the language is Chinese, you can
+also specify which of the standard Chinese encodings your browser uses.
+
+Finally, all collections allow you to switch to a textual interface format
+rather than the standard graphical one.  This is particularly useful for
+visually impaired users who use large screen fonts or speech synthesizers for
+output.
+
+<p>_iconblankbar_
+<a name=search-prefs>
+<h3 align=left>Search preferences</h3>
+Two pairs of buttons control the case sensitivity and stemming of the searches
+that you make. The first set of buttons controls whether upper and lower case
+must match (case sensitivity).  The second set controls whether to ignore word
+endings or not (stemming).
+
+<p>For example, if the buttons <i>ignore case differences</i> and
+<i>ignore word endings</i> are selected, the query<p>
+    <ul><kbd>African building</kbd></ul>
+      <p>will be treated the same as<p>
+      <ul><kbd>africa builds</kbd></ul><p>
+      because the uppercase letter in "African" will be transformed to
+      lowercase, and  the suffixes "n" and "ing" will be removed from
+      "African" and "building" respectively (also, "s" would be removed from
+      "builds").
+
+<p>You can also switch to an "advanced" query mode which allows you to
+combine terms using AND (&), OR (|), and NOT (!). This allows you to
+specify more precise queries.
+
+<p>Finally, you can control the number of hits returned, and the number
+presented on each screenful.
+
+}
+
+_texttanumbrowseoptions_ {There are _numbrowseoptions_ ways to find information in this collection:}
+
+_textsimplehelpheading_ {How to find information}
+
+_texthelpscope_ {
+<p>_iconblankbar_
+<a name=scope-of-queries>
+<h3 align=left>Scope of queries</h3>
+
+<p>
+In most collections you can choose different indexes to search. For example, there might
+be author or title indexes. Or there might be chapter or paragraph indexes. Generally,
+the full matching document is returned regardless of which index you search.
+<p>If documents are books, they will be opened at the appropriate place.
+}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## "help" ## green_title ## h_help ##
+_httpiconhhelp_ {_httpimg_/h\_help.gif}
+_widthhhelp_ {200}
+_heighthhelp_ {57}
Index: /trunk/gsdl/macros/english2.dm
===================================================================
--- /trunk/gsdl/macros/english2.dm	(revision 964)
+++ /trunk/gsdl/macros/english2.dm	(revision 964)
@@ -0,0 +1,560 @@
+######################################################################
+#
+# English Language text and icon macros 
+# -- this file contains english text that is of less importance
+# -- to translate when creating a new interface language
+######################################################################
+
+
+
+######################################################################
+# 'home' page
+package home
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_documents_ { documents. }
+_lastupdate_ {Last updated}
+_ago_ {days ago.}
+_colnotbuilt_ {Collection not built.}
+
+_textpeople_ {People}
+_textfb_ {Feedback}
+_textpub_ {Publications}
+_texttec_ {Technology}
+_textrw_ {Related Work}
+_textinfosheet_ {Info Sheet}
+_textscreenshots_ {Screen Shots}
+_textnpepainfosheet_ {Niupepa Info Sheet}
+_textpagetitle_ {Greenstone Digital Library}
+_textprojhead_ {The New Zealand Digital Library Project}
+
+_textprojinfo_ {
+<h4>The NZDL system</h4>
+
+<p> The New Zealand Digital Library system comprises several demonstration
+collections -- computer science technical reports and bibliographies,
+literary works, humanitarian and development information, magazines -- and
+makes them available over the Web through full-text interfaces.  Behind the
+query interface lies a huge collection providing gigabytes of information.
+We hope you find what you want, or at least something intriguing!
+
+<h4>The Greenstone software</h4>
+
+<p> The Greenstone Digital Library software provides a new way of
+organizing information and making it available over the Internet.  A
+<i>collection</i> of information comprises several (typically several
+thousand, or even several million) <i>documents</i>, which share a uniform
+searching and browsing interface.  The collections in a library are
+organized in a different way--though they share a strong family
+resemblance.  Although primarily designed for access over the Web,
+Greenstone collections can be made available, in precisely the same form,
+on CD-ROM for standalone PCs.  Greenstone is open-source software,
+available under the terms of the Gnu public linense.
+ 
+<h4>The research</h4>
+
+<p> The goal of our research program is to explore the potential of
+internet-based digital libraries.  Our vision is to develop systems that
+automatically impose structure on anarchic, uncatalogued, distributed
+repositories of information, thereby providing information consumers with
+effective tools to locate what they need and to peruse it conveniently and
+comfortably.  Our research objectives are to
+
+<ul>
+  <li> develop technology for creating and automatically
+      maintaining collections;
+  <li> monitor usage to study library users' needs;
+  <li> look at novel interfaces that cater to a wide spectrum of users;
+  <li> find ways to abstract layout and bibliographic information
+      from document files;
+  <li> use this information to enhance presentation and for
+      bibliometric research;
+  <li> assess potential subject areas for public-domain collections;
+  <li> survey and critique other digital library projects.
+</ul>
+}
+
+_textotherinfo_ {
+<table border=0 cellpadding=5><tr valign=top>
+<td width=50%>
+<h4>Global Help Projects vzw</h4>
+
+<a href="http://www.globalprojects.org">Global Help Projects</a> is a
+registered charity responsible for the Humanity Libraries Project that
+provides universal low-cost information access through co-operation between
+UN Agencies, universities and NGOs.  Global Help Projects collaborate
+extensively with the NZDL project, and use the Greenstone software.
+</td><td width=50%> 
+
+<h4>DigiLib Systems Limited</h4>
+
+<p><a href="http://www.digilibs.com/">DigiLib Systems Limited</a> is an
+innovative software company that creates international digital libraries.
+As a major contributor to the Greenstone Digital Library Software they are
+able to build, customize, and extend digital libraries to meet exacting
+needs.  Please <a href="mailto:contact@digilibs.com">contact</a> them for
+an obligation free quote.  </td></tr></table> }
+
+_textpoem_ {
+<br><h2 align=left>Kia papapounamu te moana</h2>
+
+        <p>kia hora te marino,
+        <br>kia tere te karohirohi,
+        <br>kia papapounamu te moana
+
+        <p>may peace and calmness surround you,
+        <br>may you reside in the warmth of a summer's haze,
+        <br>may the ocean of your travels be as smooth as the polished greenstone.
+}
+
+_textgreenstone_ { <p><br> Greenstone is a semi-precious stone that (like
+this software) is sourced in New Zealand.  In traditional Maori society it
+was the most highly prized and sought after of all substances.  It can
+absorb and hold <i>wairua</i>, which is a spirit or life force, and is
+endowed with traditional virtues that make it an appropriate emblem for a
+public-domain digital library project.  Its lustre shows charity; its
+translucence, honesty; its toughness, courage; and the sharp edge it can
+take, justice.  The carved piece used in the Greenstone Digital Library
+Software logo is a <i>patu</i> or fighting club, and is a family heirloom
+of one of our project members.  In hand-to-hand combat its delivery is very
+quick, very accurate, and very complete.  We like to think these qualities
+also apply to our software, the razor sharp edge of the <i>patu</i>
+symbolizing the leading edge of technology.
+
+<p><a href="mailto:greenstone@cs.waikato.ac.nz">Greenstone Digital Library Software</a>
+<br><a href="http://www.cs.waikato.ac.nz/cs">Computer Science Department</a>, 
+<a href="http://www.waikato.ac.nz">University of Waikato</a>, New Zealand
+
+<br>October 1999
+}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## "THE NEW ZEALAND DIGITAL LIBRARY" ## nzdl_heading ## nzdl2gr ##
+_httpiconnzdl_ {_httpimg_/nzdl2gr.gif}
+_widthnzdl_ {457}
+_heightnzdl_ {181}
+
+## "select a collection" ## green_bar_left_aligned ## selcolgr ##
+_httpiconselcolgr_ {_httpimg_/selcolgr.gif}
+_widthselcolgr_ {537}
+_heightselcolgr_ {17}
+
+
+
+######################################################################
+# 'people' page
+package people
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textpagetitle_ {NZDL: People}
+
+_textsmallrs_ {Related Staff}
+
+_textsawnzdl_ {Staff associated with the New Zealand Digital Library 
+	project are:}
+_texttrsaawp_ {These research students and software support people are associated with the project:}
+
+_textstafftable_ {
+<table>
+<tr>
+  <td align=right valign=top width=100><a href="http://www.cs.waikato.ac.nz/~ihw">Ian Witten</a></td>
+  <td _1_ align=left valign=top>Project leader; co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a></td>
+</tr>
+<tr>
+  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/mark-d.-apperley-.html">Mark Apperley</a></td>
+  <td _1_ align=left valign=top>User interfaces for readers</td>
+</tr>
+<tr>
+  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/david-bainbridge.html">David Bainbridge</a></td>
+  <td _1_ align=left valign=top>Musical and Web-based collections; optical music recognition</td>
+</tr>
+<tr>
+  <td align=right valign=top><a
+href="http://www.cs.waikato.ac.nz/cs/Staff/sally-jo-cunningham.html">Sally Jo Cunningham</a></td>
+  <td _1_ align=left valign=top>Collections and usage studies</td>
+</tr>
+<tr>
+  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/steve-jones.html">Steve Jones</a></td>
+  <td _1_ align=left valign=top>Phrase-based interfaces, collaborative browsing, usage analysis</td>
+</tr>
+<tr>
+  <td align=right valign=top><a
+  href="http://www.cs.waikato.ac.nz/cs/Staff/te-taka-keegan.html">Te Taka Keegan
+  </a></td> 
+  <td _1_ align=left valign=top>Maori language systems</td>
+</tr>
+  <td align=right valign=top><a
+  href="http://www.cs.waikato.ac.nz/Staff/malika-mahoui.html">Malika
+  Mahoui</a></td> 
+  <td _1_ align=left valign=top>Text mining, Arabic interfaces</td>
+</tr>
+</table>
+}
+
+_textgstable_ {
+<table>
+<tr>
+  <td align=right valign=top>George Buchanan</a></td>
+  <td _1_ align=left valign=top>Systems support</td>
+</tr>
+<tr>
+  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~sjboddie">Stefan Boddie</a></td>
+  <td _1_ align=left valign=top>Systems support</td>
+</tr>
+<tr>
+  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~rjmcnab">Rodger McNab</a></td>
+  <td _1_ align=left valign=top>Systems support</td>
+</tr>
+<tr>
+  <td align=right valign=top>YingYing Wen</a></td>
+  <td _1_ align=left valign=top>Text mining, Chinese libraries</td>
+</tr>
+<tr>
+  <td align=right valign=top>Stuart Yeates</a></td>
+  <td _1_ align=left valign=top>Text mining, acronym extraction</td>
+</tr>
+</table>
+}
+
+_textsmallcont_ {Other Contributors}
+_texttpcsp_ {These people have contributed strongly to the project:}
+
+_textconttable_ {
+<table>
+<tr>
+  <td align=right valign=top width=100>Mark Abrahams</td>
+  <td _1_ align=left valign=top>Client-side browsing interfaces using Java</td>
+</tr>
+<tr>
+  <td align=right valign=top width=100><a href="http://www.cosc.canterbury.ac.nz/~tim">Tim Bell</a></td>
+  <td _1_ align=left valign=top>Co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a></td>
+</tr>
+<tr>
+  <td align=right valign=top>Matt Humphrey</td>
+  <td _1_ align=left valign=top>Information visualization in the digital library</td>
+</tr>
+<tr>
+  <td align=right valign=top><a
+href="http://www.cs.waikato.ac.nz/~singlis">Stuart Inglis</a></td>
+  <td _1_ align=left valign=top>Document image analysis and optical character recognition</td>
+</tr>
+<tr>
+  <td align=right valign=top>Trent Mankelow</a></td>
+  <td _1_ align=left valign=top>School Journal prototype</td>
+</tr>
+<tr>
+  <td align=right valign=top><a href="http://www.cosc.canterbury.ac.nz/~bruce">Bruce McKenzie</a></td>
+  <td _1_ align=left valign=top>Original interface to MG</td>
+</tr>
+<tr>
+  <td align=right valign=top><a href="http://www.cs.mu.oz.au/~alistair">Alistair Moffat</a></td>
+  <td _1_ align=left valign=top>Co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a>,
+created the MG software</td>
+</tr>
+<tr>
+  <td align=right valign=top>Todd Reed</td>
+  <td _1_ align=left valign=top>PostScript to text conversion, user interface, WWW server, index building, FTP</td>
+</tr>
+<tr>
+  <td align=right valign=top><a
+href="http://www.cs.waikato.ac.nz/cs/Staff/don-a.-smith.html">Don Smith</a></td>
+  <td _1_ align=left valign=top>Special needs of libraries for mathematical and theoretical materials</td>
+</tr>
+<tr>
+  <td align=right valign=top>Che Tamahori</td>
+  <td _1_ align=left valign=top>Designer of New Zealand Digital Library Web
+  pages</td>
+</tr>
+<tr>
+  <td align=right valign=top><a
+href="http://www.cs.waikato.ac.nz/~wjt">Bill Teahan</a></td>
+  <td _1_ align=left valign=top>Language modeling</td>
+</tr>
+<tr>
+  <td align=right valign=top>Mahendra Vallabh</td>
+  <td _1_ align=left valign=top>Original FTP script</td>
+</tr>
+<tr>
+  <td align=right valign=top><a
+href="http://www.cs.waikato.ac.nz/cs/Staff/lloyd-a.-smith.html">Lloyd Smith</a></td>
+  <td _1_ align=left valign=top>Music collections and music retrieval</td>
+</tr>
+<tr>
+  <td align=right valign=top>John Venable</td>
+  <td _1_ align=left valign=top>Requirements for digital libraries, and collections for information systems</td>
+</tr>
+</table>
+}
+
+_textaffiliates_ {There are several affiliates at other universities:}
+
+_textaffiliatetable_ {
+<table>
+<tr>
+  <td align=right valign=top>Elke Duenker</td>
+  <td _1_ align=left valign=top>Cross-cultural issues</td>
+</tr>
+<tr>
+  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~cgn/
+">Craig Nevill-Manning</a></td>
+  <td _1_ align=left valign=top>PostScript to text conversion, user
+interface, WWW server, index
+building, FTP</td>
+</tr>
+<tr>
+  <td align=right valign=top>Nina Reeves</td>
+  <td _1_ align=left valign=top>Librarians and library users</td>
+</tr>
+<tr>
+  <td align=right valign=top>Yin Leng Theng</td>
+  <td _1_ align=left valign=top>Digital libraries for schools</td>
+</tr>
+<tr>
+  <td align=right valign=top>Harold Thimbleby</td>
+  <td _1_ align=left valign=top>User interfaces for digital
+libraries</td>
+</tr>
+</table>
+}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## "people" ## green_title ## h_people ##
+_httpiconhpeople_ {_httpimg_/h\_people.gif}
+_widthhpeople_ {200}
+_heighthpeople_ {57}
+
+
+
+######################################################################
+# 'technology' page
+package technology
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textpagetitle_ {NZDL: Technology}
+
+_content_ {
+_iconblankbar_
+<p>There are several freely available technologies underlying the New Zealand
+Digital Library:
+<ul>
+<li><a href="_httppagex_(gsdlsoft)"><i>Greenstone</i></a>, the digital
+library system that generates each and every page of this website.<p>
+
+<li><a href="_httppagex_(prescript)"><i>PreScript</i></a>, a system
+that converts PostScript to plain ASCII or HTML, detects paragraph boundaries,
+removes hyphenation, and interprets many ligatures.<p>
+
+<li><a href="_httppagex_(mg)"><i>MG</i></a>, an enhancement of the <a
+href="http://www.cs.mu.oz.au/mg"><i>Managing Gigabytes</i></a> full-text
+retrieval system, that provides flexible stemming methods, weighting terms,
+term frequencies, merged indexes, machine independent indexes, and a port to
+MSDOS.<p>
+
+<li><a href="http://www.cs.waikato.ac.nz/sequitur"><i>Sequitur</i></a>, a
+method for inferring compositional hierarchies from strings by detecting
+repetition and factoring it out of the string by  forming rules in a
+grammar. The rules can be composed of non-terminals, giving rise to a
+hierarchy. Sequitur is useful for  recognizing lexical structure in strings,
+and excels at very long sequences.<p>
+
+<li><a href="http://www.nzdl.org/Kea"><i>Kea</i></a>, a program for
+automatically extracting keyphrases from the full text of documents. Candidate
+keyphrases are identified using rudimentary lexical processing, features are
+computed for each candidate, and machine learning is used to generate a
+classifier that determines which candidates should be assigned as
+keyphrases. <p>
+
+<li><a href="http://www.cs.waikato.ac.nz/~stevej/Research/Phrasier/"><i>Phrasier</i></a>, a 
+tool to support information seeking activities in a digital library.  Its novel design 
+reflects the fact that reading, writing, browsing and searching activities are rarely 
+carried out independently of each other.  They overlap and interleave in ways which have 
+not been effectively supported by conventional information retrieval interfaces.  Consequenly
+Phrasier blurs the distinction between writing a document and finding material related to it; 
+between reading a document and finding others on the same or similar topics; between keyword 
+searching and subject browsing. <p>
+
+</ul>
+
+<br>
+}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+## "technology" ## green_title ## h_tech ##
+_httpiconhtech_ {_httpimg_/h\_tech.gif}
+_widthhtech_ {200}
+_heighthtech_ {57}
+
+
+
+######################################################################
+# 'status' pages
+package status
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textframebrowser_ {You must have a frame enabled browser to view this.}
+_textusermanage_ {User management}
+_textlistusers_ {list users}
+_textaddusers_ {add a new user}
+
+_textinfo_ {Information}
+_textgeneral_ {general}
+_textarguments_ {arguments}
+_textactions_ {actions}
+_textprotocols_ {protocols}
+
+_textcollections_ {Collections}
+_textnewcoll_ {new collection}
+_texteditcoll_ {edit collection}
+_textbuildcoll_ {build collection}
+_textdeletecoll_ {delete collection}
+
+_textlogs_ {Logs}
+_textinitlog_ {init log}
+_texterrorlog_ {error log}
+
+_textreturnhome_ {Return to home page}
+
+_titlewelcome_ { Maintenance and Administration }
+
+_welcome_ {
+
+<p> Maintenance and administration services available include:
+	view on-line logs; 
+	create, maintain and update collections; 
+	and access technical information such as CGI arguments.  
+	These services are accessed using the
+	side navigation bar on the lefthand side of the page.
+}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+
+######################################################################
+# html package
+package html
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textframebrowser_ {You must have a frame enabled browser to view this.}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+
+######################################################################
+# external link package
+package extlink
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textextlink_ {External Link}
+_textlinknotfound_{Internal Link not Found}
+
+_textextlinkcontent_ {The link you have selected is external to any of your currently selected collections.
+    If you still wish to view this link and your browser has access to 
+    the Web, you can <a href="_nexturl_">go forward</a> to this page; otherwise 
+    use your browsers "back" button to return to the previous document.}
+
+_textlinknotfoundcontent_ {For reasons beyond our control, the internal link you have selected 
+    does not exist.  This is probably due to an error in the source collection.
+    Use your browsers "back" button to return to the previous document.}
+
+# should have arguments of collection, collectionname and link
+_foundintcontent_ {
+
+<h3>Link to "_2_" collection</h3>
+
+<p> The link you have selected is external to the "_collectionname_"
+    collection (it links to the "_2_" collection).
+    If you wish to view this link in the "_2_" collection you can 
+    <a href="_httpdoc_&c=_1_&cl=_cgiargcl_&d=_3_">go forward</a> to this page; 
+    otherwise use your browsers "back" button to return to the previous document.
+}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
+
+
+######################################################################
+# authentication page
+package authen
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textGSDLtitle_ {Greenstone Digital Library}
+
+_textusername_ {username}
+_textpassword_ {password}
+
+_textmessageinvalid_ {The page you have requested requires you to sign in.
+Please enter your username and password.}
+
+_textmessagefailed_ {Either your user name or password was incorrect.}
+
+_textmessagedisabled_ {Sorry, your account has been disabled. Please contact
+the webmaster for this site.}
+
+_textmessagepermissiondenied_ {Sorry, you do not have permission to access this page.}
+
+_textmessagestalekey_ {The link you have followed is now stale. 
+Please enter your password to access this page.}
+
+
+#------------------------------------------------------------
+# icons
+#------------------------------------------------------------
+
Index: /trunk/gsdl/macros/query.dm
===================================================================
--- /trunk/gsdl/macros/query.dm	(revision 963)
+++ /trunk/gsdl/macros/query.dm	(revision 964)
@@ -16,4 +16,5 @@
 _prevfirst_ {}
 _prevlast_ {}
+_searchhistorylist_ {}
 
 #######################################################################
